For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.synthflow.ai/api-reference/platform-api/simulations/llms.txt. For full documentation content, see https://docs.synthflow.ai/api-reference/platform-api/simulations/llms-full.txt.

# Update a simulation case

PUT https://api.synthflow.ai/v2/simulation_cases/{simulation_case_id}
Content-Type: application/json

Update an existing simulation case.

Reference: https://docs.synthflow.ai/api-reference/platform-api/simulations/update-simulation-case

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /simulation_cases/{simulation_case_id}:
    put:
      operationId: update-simulation-case
      summary: Update a simulation case
      description: Update an existing simulation case.
      tags:
        - ''
      parameters:
        - name: simulation_case_id
          in: path
          description: Simulation case ID.
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/update-simulation-case_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Update-simulation-caseRequestBadRequestError
        '404':
          description: '404'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Update-simulation-caseRequestNotFoundError
        '422':
          description: '422'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Update-simulation-caseRequestUnprocessableEntityError
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SimulationCaseUpdateIn'
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
components:
  schemas:
    SimulationCaseUpdateInCallSuccessType:
      type: string
      enum:
        - all
        - any
      title: SimulationCaseUpdateInCallSuccessType
    SimulationCaseUpdateIn:
      type: object
      properties:
        name:
          type:
            - string
            - 'null'
        prompt:
          type:
            - string
            - 'null'
        success_criteria:
          type:
            - array
            - 'null'
          items:
            type: string
        call_success_type:
          oneOf:
            - $ref: '#/components/schemas/SimulationCaseUpdateInCallSuccessType'
            - type: 'null'
        suite_id:
          type:
            - string
            - 'null'
          format: uuid
          description: ID of the simulation suite to assign this case to.
      description: Fields that can be updated for a simulation case.
      title: SimulationCaseUpdateIn
    status:
      type: string
      description: Whether the request was successful.
      title: status
    SimulationCaseReadOutType:
      type: string
      enum:
        - custom
        - agent_based
      title: SimulationCaseReadOutType
    SimulationCaseReadOutCallSuccessType:
      type: string
      enum:
        - all
        - any
      title: SimulationCaseReadOutCallSuccessType
    SimulationCaseReadOutBaseAgent:
      type: object
      properties:
        model_id:
          type: string
        agent_name:
          type: string
        agent_type:
          type: string
        voice_engine_type:
          type: string
        phone_number:
          type:
            - string
            - 'null'
        updated_at:
          type: string
          format: date-time
        image_url:
          type:
            - string
            - 'null'
      title: SimulationCaseReadOutBaseAgent
    SimulationCaseReadOut:
      type: object
      properties:
        simulation_case_id:
          type: string
          format: uuid
        workspace_id:
          type: string
        suite_id:
          type:
            - string
            - 'null'
          format: uuid
          description: ID of the simulation suite this case belongs to.
        name:
          type: string
        prompt:
          type: string
        type:
          $ref: '#/components/schemas/SimulationCaseReadOutType'
        success_criteria:
          type: array
          items:
            type: string
        call_success_type:
          $ref: '#/components/schemas/SimulationCaseReadOutCallSuccessType'
        base_agent:
          oneOf:
            - $ref: '#/components/schemas/SimulationCaseReadOutBaseAgent'
            - type: 'null'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      description: Simulation case details.
      title: SimulationCaseReadOut
    update-simulation-case_Response_200:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/status'
        response:
          $ref: '#/components/schemas/SimulationCaseReadOut'
      title: update-simulation-case_Response_200
    Update-simulation-caseRequestBadRequestError:
      type: object
      properties: {}
      title: Update-simulation-caseRequestBadRequestError
    Update-simulation-caseRequestNotFoundError:
      type: object
      properties: {}
      title: Update-simulation-caseRequestNotFoundError
    Update-simulation-caseRequestUnprocessableEntityError:
      type: object
      properties: {}
      title: Update-simulation-caseRequestUnprocessableEntityError
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.synthflow.ai/v2/simulation_cases/9ad09ad3-9c22-441e-ae35-c05016a09786"

payload = {
    "name": "Updated Customer Support Test",
    "success_criteria": ["Agent resolves issue within 5 minutes"],
    "suite_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/simulation_cases/9ad09ad3-9c22-441e-ae35-c05016a09786"

	payload := strings.NewReader("{\n  \"name\": \"Updated Customer Support Test\",\n  \"success_criteria\": [\n    \"Agent resolves issue within 5 minutes\"\n  ],\n  \"suite_id\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/simulation_cases/9ad09ad3-9c22-441e-ae35-c05016a09786")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Updated Customer Support Test\",\n  \"success_criteria\": [\n    \"Agent resolves issue within 5 minutes\"\n  ],\n  \"suite_id\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.synthflow.ai/v2/simulation_cases/9ad09ad3-9c22-441e-ae35-c05016a09786")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Updated Customer Support Test\",\n  \"success_criteria\": [\n    \"Agent resolves issue within 5 minutes\"\n  ],\n  \"suite_id\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\"\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/simulation_cases/9ad09ad3-9c22-441e-ae35-c05016a09786");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Updated Customer Support Test\",\n  \"success_criteria\": [\n    \"Agent resolves issue within 5 minutes\"\n  ],\n  \"suite_id\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Updated Customer Support Test",
  "success_criteria": ["Agent resolves issue within 5 minutes"],
  "suite_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/simulation_cases/9ad09ad3-9c22-441e-ae35-c05016a09786")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```